# $Revision: 1.14 $, $Date: 2012/01/16 11:08:40 $
#
# Conditional build:
%bcond_with	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Format-Natural
Summary:	DateTime::Format::Natural - Create machine readable date/time with natural parsing logic
Summary(pl.UTF-8):	DateTime::Format::Natural - Tworzy datę/czas dogodny dla maszyn
Name:		perl-DateTime-Format-Natural
Version:	0.98
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SC/SCHUBIGER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a081295bcb2eb5a94c608b6c13174cc2
URL:		http://search.cpan.org/dist/DateTime-Format-Natural/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(boolean)
BuildRequires:	perl-Date-Calc
BuildRequires:	perl-DateTime
BuildRequires:	perl-List-MoreUtils
BuildRequires:	perl-Params-Validate
BuildRequires:	perl(Test::MockTime)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime::Format::Natural takes a string with a human readable
date/time and creates a machine readable one by applying natural
parsing logic.

%description -l pl.UTF-8
DateTime::Format::Natural przyjmuje łańcuch znaków zawierający
datę/czas w formacie dogodnym dla ludzi i tworzy z niego format
dogodny dla maszyn.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/DateTime/Format/*.pm
%{perl_vendorlib}/DateTime/Format/Natural
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime-Format-Natural.spec,v $
Revision 1.14  2012/01/16 11:08:40  zbyniu
- up to 0.98

Revision 1.13  2012/01/11 21:51:33  zbyniu
- up to 0.95

Revision 1.12  2011/04/13 12:05:14  caleb
- Up to 0.94

Revision 1.11  2011/02/25 09:39:55  caleb
- Up to 0.93

Revision 1.10  2011/01/19 15:04:28  caleb
- Up to 0.92

Revision 1.9  2010/11/08 11:35:05  caleb
- Up to 0.91

Revision 1.8  2010/03/15 07:38:29  amateja
- updated to 0.85

Revision 1.7  2010/03/03 08:44:03  amateja
- updated to 0.84

Revision 1.6  2010/02/17 09:47:28  amateja
- updated to 0.83

Revision 1.5  2009/11/20 07:33:33  amateja
- updated to 0.80

Revision 1.4  2009/10/20 07:08:28  amateja
- updated to 0.79

Revision 1.3  2009/09/10 12:27:14  amateja
- updated to 0.78

Revision 1.2  2009/06/18 11:45:14  amateja
- updated to 0.76

Revision 1.1  2009/02/26 12:46:06  radek
- new

